Subject: Re: bug#59381: Should xref--marker-ring be per-window?

From: Dmitry Gutov <[email-masked]>
Date: Sun, 20 Nov 2022 19:00:49 +0200

On 20.11.2022 09:09, Eli Zaretskii wrote:
>> From: Ackerley Tng<[email-masked]>
>> Date: Sat, 19 Nov 2022 14:01:52 -0800
>> Cc: Juri Linkov<[email-masked]>,[email-masked]
>>
>> What if we copy the whole stackv from the old window whenever a new window is opened?
> What will happen with that if you switch to another window which displays
> the same file, or delete the window where the stack is kept?
> 
> And please note that results of creation and deletion of windows are not
> always predictable from the user POV.  E.g., when you type "C-x 2", do you
> always know which of the two windows will keep the ID of the original single
> window?

If the stack is copied, isn't that a non-issue? Both windows get the 
same history, and then their identities will be tired to the positions 
on the screen, that's how the user will recognize them.

And FWIW, in my personal config the stack isn't even copied. Somehow 
that works out fine, with one small (but potentially significant) caveat 
that in my config 'C-x 2' and 'C-x 3' always select the new window. 
Making it obvious which of the windows in new, and thus isn't expected 
to have existing history.